rpc auth change

This commit is contained in:
Enki 2024-01-06 00:02:54 -08:00
parent 1944f286d8
commit a445a0572f
1 changed files with 9 additions and 9 deletions

View File

@ -65,21 +65,21 @@ install_tor() {
echo "Updating package lists...half a sec."
sleep 0.5
if ! apt-get update -q; then
if ! apt-get update -qq; then
echo "Failed to update package lists with the new repository." >&2
exit 1
fi
echo "Installing TOR. Hodl tight..."
sleep 1
if ! apt-get install -y -q tor; then
if ! apt-get install -y -qq tor; then
echo "Failed to install TOR." >&2
exit 1
fi
echo "Installing additional dependencies for TOR..."
sleep 1
if ! apt-get install -y -q torsocks tor-geoipdb; then
if ! apt-get install -y -qq torsocks tor-geoipdb; then
echo "Failed to install additional dependencies for TOR." >&2
exit 1
fi
@ -127,7 +127,7 @@ install_i2p() {
# Ensure apt-transport-https is installed before adding repositories
if ! is_package_installed "apt-transport-https"; then
echo "Installing apt-transport-https..."
if ! apt-get install -y -q apt-transport-https; then
if ! apt-get install -y -qq apt-transport-https; then
echo "Failed to install apt-transport-https." >&2
exit 1
fi
@ -137,21 +137,21 @@ install_i2p() {
# Adding I2P repository
echo "Adding I2P repository..."
if ! wget -q -O - https://repo.i2pd.xyz/.help/add_repo | sudo bash -s -; then
if ! wget -qq -O - https://repo.i2pd.xyz/.help/add_repo | sudo bash -s -; then
echo "Failed to add the I2P repository." >&2
exit 1
fi
# Updating package lists
echo "Updating package lists..."
if ! apt-get update -q; then
if ! apt-get update -qq; then
echo "Failed to update package lists." >&2
exit 1
fi
# Installing I2P
echo "Installing I2P..."
if ! apt-get install -y -q i2pd; then
if ! apt-get install -y -qq i2pd; then
echo "Failed to install I2P." >&2
exit 1
fi
@ -397,9 +397,9 @@ create_bitcoin_conf() {
rpcbind=127.0.0.1
rpcport=8332
rpcallowip=127.0.0.1
rpcallow=::1
rpcallowip=::1
rpcuser=bitcoin
rpcauth='78b08cc745f580ddf054620e67e1c49b$55548ee127d9226e5ee9cd0a5bdd2ecf4c9a828bec8cbc334e1b368f7c5c5119'
rpcpassword=craigwrightisnotsatoshi
daemonwait=1
dbcache=600
maxmempool=500